//+------------------------------------------------------------------+
//|ONLY PIVOT Rev0 Basic                           @@@@@@@@@|
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+




#property copyright "Masa9390"


extern double  Lots     = 0.1;
extern int     Nbars     = 2;

//+------------------------------------------------------------------+
//| expert start function                                                     |
//+------------------------------------------------------------------+
int start()
  {
  
bool  PivBuy   =  false;
bool  PivSel   =  false;


int   cnt,ticket,total;
  



  
//TCmF
   if (iCustom(NULL,0,"PrevDayAndFloatingPivot_O",0,2) > iMA(NULL,0,Nbars,0,MODE_SMMA,PRICE_WEIGHTED,2))  //FDayPivot > 2 SMMA WEIGHTED Shift 2hour
         if (iCustom(NULL,0,"PrevDayAndFloatingPivot_O",0,1) < iMA(NULL,0,Nbars,0,MODE_SMMA,PRICE_WEIGHTED,1))  //:DayPivot<2 SMMA WEIGHTED Shift 1hour
   

   {
      PivBuy  =  true;
   
   }
   if (iCustom(NULL,0,"PrevDayAndFloatingPivot_O",0,2) < iMA(NULL,0,Nbars,0,MODE_SMMA,PRICE_WEIGHTED,2))  //FDayPivot < FlowPivot Shift 2hour
         if (iCustom(NULL,0,"PrevDayAndFloatingPivot_O",0,1) > iMA(NULL,0,Nbars,0,MODE_SMMA,PRICE_WEIGHTED,1))  //FDayPivot > FlowPivot Shift 1hour
   

   {
      PivSel  =  true;
   
   }
 


//I[_[

   total=OrdersTotal();
   if(total<1 && PivBuy == true) 
   {
      ticket=OrderSend(Symbol(),OP_BUY,Lots,Ask,0,0,0,"OnlyPiv_B",0,0,Green);
    
      if(ticket>0)
      {
         if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("BUY order opened : ",OrderOpenPrice());
         else Print("Error opening BUY order : ",GetLastError()); 
         return(0);    
      }
   }

//I[_[
   total=OrdersTotal();
   if(total<1 && PivSel == true) 
   {
      ticket=OrderSend(Symbol(),OP_SELL,Lots,Bid,0,0,0,"OnlyPiv_S",0,0,Red);
    
      if(ticket>0)
      {
         if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("SELL order opened : ",OrderOpenPrice());
         else Print("Error opening SELL order : ",GetLastError()); 
         return(0);    
      }
   }




//
 

      for(cnt=0;cnt<total;cnt++)
      {
         OrderSelect(cnt, SELECT_BY_POS, MODE_TRADES);
         if(OrderType()<=OP_SELL &&   // check for opened position 
            OrderSymbol()==Symbol())  // check for symbol
         {
         
            if(OrderType()==OP_BUY)   // long position is opened
            {
               // should it be closed?
            
               if (PivSel == true)          
               {
                  OrderClose(OrderTicket(),OrderLots(),Bid,0,Violet); // close position
  //
                            
                  ticket=OrderSend(Symbol(),OP_SELL,Lots,Bid,0,0,0,"OnlyPiv_S",0,0,Red);
    
                  if(ticket>0)
                  {
                     if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("SELL order opened : ",OrderOpenPrice());
                     else Print("Error opening SELL order : ",GetLastError()); 
                        return(0);    

                  }
            
               }
            }
         }   
   
      }

   
      for(cnt=0;cnt<total;cnt++)
      {
         OrderSelect(cnt, SELECT_BY_POS, MODE_TRADES);
         if(OrderType()<=OP_SELL &&   // check for opened position 
            OrderSymbol()==Symbol())  // check for symbol
         {
         
            if(OrderType()==OP_SELL)   // long position is opened
            {
               // should it be closed?
            
               if (PivBuy == true)          
               {
                  OrderClose(OrderTicket(),OrderLots(),Ask,0,Violet); // close position
                  
                  
                  //he
                  ticket=OrderSend(Symbol(),OP_BUY,Lots,Ask,0,0,0,"OnlyPiv_B",0,0,Green);
    
                 if(ticket>0)
                  
                  if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES)) Print("BUY order opened : ",OrderOpenPrice());
                  else Print("Error opening BUY order : ",GetLastError()); 
                     return(0);    
              }               
                  
            
               
            }
         }
      }
      
   
   
   
   }     
//----
   return(0);
   
//+------------------------------------------------------------------+
 